#
# spec file for package koncd (Version 0.9.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline: --kde2
Name:         koncd
Copyright:    GPL
Group:        X11/KDE/Applications
Summary:      CD burner tool
Version:      0.9.5
Release:      51
Requires:     cdrecord, mkisofs
Source0:      koncd-0.9.5.tar.bz2
Patch0: koncd-0.9.5.dif
Patch1: check_setuid.dif

%description
KOnCD is a front-end to cdrecord, mkisofs

Authors:
--------
    Kai Heitkamp <koncd@kai-heitkamp.de>

SuSE series: k2de

%prep
%setup -n koncd-0.9.5
%patch -p 0 -E
%patch1

%build
%{?suse_update_config:%{suse_update_config  -f }}
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc FAQ NEWS TODO README AUTHORS INSTALL ChangeLog COPYING 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Multimedia
%dir /opt/kde2/share/apps/koncd
%dir /opt/kde2/share/doc/HTML/de
%dir /opt/kde2/share/doc/HTML/de/koncd
%dir /opt/kde2/share/doc/HTML/de/koncd/images
%dir /opt/kde2/share/doc/HTML/en/koncd
%dir /opt/kde2/share/doc/HTML/en/koncd/images
%dir /opt/kde2/share/icons/hicolor/32x32/apps
%dir /opt/kde2/share/icons/locolor/16x16
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/icons/locolor/32x32
%dir /opt/kde2/share/icons/locolor/32x32/apps
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/de
%dir /opt/kde2/share/locale/de/LC_MESSAGES
/opt/kde2/bin/koncd
/opt/kde2/share/applnk/Multimedia/koncd.desktop
/opt/kde2/share/apps/koncd/AUTHORS
/opt/kde2/share/apps/koncd/COPYING
/opt/kde2/share/apps/koncd/ChangeLog
/opt/kde2/share/apps/koncd/FAQ
/opt/kde2/share/apps/koncd/INSTALL
/opt/kde2/share/apps/koncd/README
/opt/kde2/share/apps/koncd/TODO
/opt/kde2/share/doc/HTML/de/koncd/audio_cd.htm
/opt/kde2/share/doc/HTML/de/koncd/einstellungen.htm
/opt/kde2/share/doc/HTML/de/koncd/erzeuge_cd.htm
/opt/kde2/share/doc/HTML/de/koncd/images/audiocd.jpg
/opt/kde2/share/doc/HTML/de/koncd/images/copycd.jpg
/opt/kde2/share/doc/HTML/de/koncd/images/imagetype.jpg
/opt/kde2/share/doc/HTML/de/koncd/images/koncd_logo.jpg
/opt/kde2/share/doc/HTML/de/koncd/images/mastercd.jpg
/opt/kde2/share/doc/HTML/de/koncd/images/setup.jpg
/opt/kde2/share/doc/HTML/de/koncd/images/tools.jpg
/opt/kde2/share/doc/HTML/de/koncd/index.html
/opt/kde2/share/doc/HTML/de/koncd/kopiere_cd.htm
/opt/kde2/share/doc/HTML/de/koncd/tipps.htm
/opt/kde2/share/doc/HTML/de/koncd/werkzeuge.htm
/opt/kde2/share/doc/HTML/en/koncd/audio_cd.htm
/opt/kde2/share/doc/HTML/en/koncd/copy_cd.htm
/opt/kde2/share/doc/HTML/en/koncd/images/audiocd.jpg
/opt/kde2/share/doc/HTML/en/koncd/images/copycd.jpg
/opt/kde2/share/doc/HTML/en/koncd/images/imagetype.jpg
/opt/kde2/share/doc/HTML/en/koncd/images/koncd_logo.jpg
/opt/kde2/share/doc/HTML/en/koncd/images/mastercd.jpg
/opt/kde2/share/doc/HTML/en/koncd/images/setup.jpg
/opt/kde2/share/doc/HTML/en/koncd/images/tools.jpg
/opt/kde2/share/doc/HTML/en/koncd/index.html
/opt/kde2/share/doc/HTML/en/koncd/master_cd.htm
/opt/kde2/share/doc/HTML/en/koncd/setup.htm
/opt/kde2/share/doc/HTML/en/koncd/tips.htm
/opt/kde2/share/doc/HTML/en/koncd/tools.htm
/opt/kde2/share/icons/hicolor/16x16/apps/koncd.png
/opt/kde2/share/icons/hicolor/32x32/apps/koncd.png
/opt/kde2/share/icons/locolor/16x16/apps/koncd.png
/opt/kde2/share/icons/locolor/32x32/apps/koncd.png
/opt/kde2/share/locale/de/LC_MESSAGES/koncd.mo

%changelog -n koncd
* Tue Oct 16 2001 - adrian@suse.de
- implement a message box, which let the user set the correct
  cdrecord permissions
* Wed Sep 05 2001 - adrian@suse.de
- add missing requires (cdrecord, mkisofs)
* Sat Aug 25 2001 - adrian@suse.de
- update to 0.9.5
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
- update to 0.9.2
* Fri Jul 13 2001 - adrian@suse.de
- New version 0.8.4
* Thu Jun 21 2001 - adrian@suse.de
- autoconf 2.50 ready
* Mon Apr 02 2001 - adrian@suse.de
- New version 0.7.1
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 - adrian@suse.de
- New version 0.7
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Wed Nov 22 2000 - kukuk@suse.de
- fix filelist
* Tue Nov 21 2000 - adrian@suse.de
- fixed doc installation
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Sun Nov 05 2000 - adrian@suse.de
- New version 0.6.2 (KDE 2)
* Wed Sep 20 2000 - adrian@suse.de
- New version 0.5.6
* Sun May 28 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sun May 28 2000 - @suse.de
- Spec file created from koncd-0.5.3.tar.gz by autospec
* Fri May 05 2000 - adrian@suse.de
- Spec file created from koncd-0.5.3.tar.gz by autospec
